# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.context.WebAuthnAuthenticationContext

Packages that use WebAuthnAuthenticationContext
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin.impl
This package has audit functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.context
Context APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.impl
This package has an authentication implementation for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.policy.impl
This package has authentication policy implementations.

## Uses of WebAuthnAuthenticationContext in net.shibboleth.idp.plugin.authn.webauthn.admin.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type parameters of type WebAuthnAuthenticationContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,WebAuthnAuthenticationContext>`
AllowCurrentUserAccessPredicate.`webauthnContextLookupStrategy`
Lookup strategy to locate the WebAuthn authentication context.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type arguments of type WebAuthnAuthenticationContext
Modifier and Type
Method
Description
`void`
AllowCurrentUserAccessPredicate.`setWebauthnContextLookupStrategy(Function<ProfileRequestContext,WebAuthnAuthenticationContext> strategy)`
Set the WebAuthn authentication context lookup strategy to use.

## Uses of WebAuthnAuthenticationContext in net.shibboleth.idp.plugin.authn.webauthn.context

Methods in net.shibboleth.idp.plugin.authn.webauthn.context that return WebAuthnAuthenticationContext
Modifier and Type
Method
Description
`WebAuthnAuthenticationContext`
WebAuthnAuthenticationContext.`setCredentialId(byte[] id)`
Set the credential Id.
`WebAuthnAuthenticationContext`
WebAuthnAuthenticationContext.`setPasswordless(boolean flag)`
Set if this authentication is part of a passwordless flow/mode.
`WebAuthnAuthenticationContext`
WebAuthnAuthenticationContext.`setPublicKeyCredentialAssertionResponse(com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAssertionResponse,com.yubico.webauthn.data.ClientAssertionExtensionOutputs> pkCredAssertion)`
Set the raw public key credential with authenticator assertion response, returned after the authentication ceremony.
`WebAuthnAuthenticationContext`
WebAuthnAuthenticationContext.`setPublicKeyCredentialRequestOptions(com.yubico.webauthn.data.PublicKeyCredentialRequestOptions options)`
Set the public key credential request options for generating an authentication assertion.
`WebAuthnAuthenticationContext`
WebAuthnAuthenticationContext.`setSecondFactor(boolean flag)`
Set if this authentication is part of a second factor flow/mode.
`WebAuthnAuthenticationContext`
WebAuthnAuthenticationContext.`setUsernameless(boolean flag)`
Set if this authentication is part of a usernameless flow/mode.

## Uses of WebAuthnAuthenticationContext in net.shibboleth.idp.plugin.authn.webauthn.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.impl declared as WebAuthnAuthenticationContext
Modifier and Type
Field
Description
`private WebAuthnAuthenticationContext`
ValidateWebAuthnAssertion.`context`
The WebAuthn authentication context.
Fields in net.shibboleth.idp.plugin.authn.webauthn.impl with type parameters of type WebAuthnAuthenticationContext
Modifier and Type
Field
Description
`private final Function<ProfileRequestContext,WebAuthnAuthenticationContext>`
BaseWebAuthnAuthenticationContextConsumer.`webauthnAuthContextCreationStrategy`
Strategy used to locate the `WebAuthnAuthenticationContext` to populate.
`private final Function<ProfileRequestContext,WebAuthnAuthenticationContext>`
PopulateWebAuthnAuthenticationContext.`webauthnAuthContextCreationStrategy`
Strategy used to locate or create the `WebAuthnAuthenticationContext` to populate.
`private final Function<ProfileRequestContext,WebAuthnAuthenticationContext>`
ValidateWebAuthnAssertion.`webauthnContextLookupStrategy`
Strategy used to locate or create the `WebAuthnAuthenticationContext` to populate.
Methods in net.shibboleth.idp.plugin.authn.webauthn.impl with parameters of type WebAuthnAuthenticationContext
Modifier and Type
Method
Description
`protected abstract void`
BaseWebAuthnAuthenticationContextConsumer.`doAccept(WebAuthnAuthenticationContext webAuthnContext)`
Consume the WebAuthn authentication context.
`protected void`
SetPaswordlessUsageToContextConsumer.`doAccept(WebAuthnAuthenticationContext webAuthnContext)`
Consume the WebAuthn authentication context.
`protected void`
SetSecondFactorUsageToContextConsumer.`doAccept(WebAuthnAuthenticationContext webAuthnContext)`
Consume the WebAuthn authentication context.
`protected void`
SetUsernamelessUsageToContextConsumer.`doAccept(WebAuthnAuthenticationContext webAuthnContext)`
Consume the WebAuthn authentication context.
`protected void`
CheckCredentialPolicy.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnAuthenticationContext context)`
`protected void`
CheckUserHandleExistsIfNoAllowCredentials.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnAuthenticationContext context)`
`protected void`
CreatePublicKeyCredentialRequestOptions.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnAuthenticationContext context)`
`protected void`
EnsureAllowedCredentialsIsEmpty.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnAuthenticationContext context)`
Performs this WebAuthn authentication action using the supplied WebAuthn context.
`protected void`
ExtractPublicKeyCredentialAssertionFromFormRequest.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnAuthenticationContext context)`
`protected void`
FilterCredentialsOnPolicy.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnAuthenticationContext context)`
`protected void`
LookupRegisteredCredentialsFromUserHandle.`doExecute(ProfileRequestContext profileRequestContext, WebAuthnAuthenticationContext context)`
Performs this WebAuthn authentication action using the supplied WebAuthn context.
`protected boolean`
CheckCredentialPolicy.`doPreExecute(ProfileRequestContext profileRequestContext, WebAuthnAuthenticationContext context)`
Performs this authentication action's pre-execute step.
`protected boolean`
CheckUserHandleExistsIfNoAllowCredentials.`doPreExecute(ProfileRequestContext profileRequestContext, WebAuthnAuthenticationContext context)`
Performs this authentication action's pre-execute step.
`protected boolean`
LookupRegisteredCredentialsFromUserHandle.`doPreExecute(ProfileRequestContext profileRequestContext, WebAuthnAuthenticationContext context)`
Performs this authentication action's pre-execute step.

## Uses of WebAuthnAuthenticationContext in net.shibboleth.idp.plugin.authn.webauthn.policy.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with type parameters of type WebAuthnAuthenticationContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,WebAuthnAuthenticationContext>`
AbstractCredentialPolicyRule.`webauthnContextLookupStrategy`
Lookup strategy to locate the WebAuthn context.
Methods in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with parameters of type WebAuthnAuthenticationContext
Modifier and Type
Method
Description
`protected abstract CredentialPolicy.CredentialPolicyOutcome`
AbstractCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`protected CredentialPolicy.CredentialPolicyOutcome`
ChainingCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`protected CredentialPolicy.CredentialPolicyOutcome`
FunctionalCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
`CredentialPolicy.CredentialPolicyOutcome`
SecondFactorOnlyCredentialPolicyRule.`doEvaluate(EnhancedCredentialRecord credential, ProfileRequestContext prc, WebAuthnAuthenticationContext webAuthnContext)`
Execute the policy.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.policy.impl with type arguments of type WebAuthnAuthenticationContext
Modifier and Type
Method
Description
`void`
AbstractCredentialPolicyRule.`setWebAuthnContextLookupStrategy(Function<ProfileRequestContext,WebAuthnAuthenticationContext> strategy)`
Set the WebAuthn context lookup strategy to use.